package com.ipoint.rentme.app.utils;

import java.io.IOException;
import java.io.InputStream;

import org.apache.tapestry5.StreamResponse;
import org.apache.tapestry5.services.Response;

public class HtmlStreamResponse implements StreamResponse {

	private InputStream is;

	public HtmlStreamResponse(InputStream inputStream) {
		this.is = inputStream;
	}

	@Override
	public String getContentType() {
		return "text/html";
	}

	@Override
	public InputStream getStream() throws IOException {
		return is;
	}

	@Override
	public void prepareResponse(Response response) {

	}

}
