package com.ipoint.rentme.app.utils;

import java.io.IOException;
import java.io.InputStream;

import org.apache.tapestry5.StreamResponse;
import org.apache.tapestry5.services.Response;

/**
 * Just streams empty 1 pixel sized gif image.
 * 
 * @author aectann
 *
 */
public class NullPxStreamResponse implements StreamResponse {

	@Override
	public String getContentType() {
		return "image/gif";
	}

	@Override
	public InputStream getStream() throws IOException {
		return getClass().getResourceAsStream("nullpx");
	}

	@Override
	public void prepareResponse(Response response) {

	}

}
