package com.ipoint.rentme.components;

import org.apache.tapestry5.annotations.IncludeJavaScriptLibrary;
import org.apache.tapestry5.annotations.IncludeStylesheet;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.Property;
import org.chenillekit.tapestry.core.components.SlidingPanel;

/**
 * The component is based on {@link SlidingPanel} chenillekit component. The only difference is that this component
 * changes its style to 'toggled' when slide panel is opened and removes the style when panels is collapsed. Thus we
 * have possibility to customize both opened and collapsed views.
 * 
 * @author aectann
 */
@IncludeJavaScriptLibrary("rentme.js")
@IncludeStylesheet("ToggableSlidePane.css")
public class ToggableSlidePane {
	
	@SuppressWarnings("unused")
	@Property
	@Parameter(required = true)
	private String subject;
	
}
