/**
 * 
 */
package com.ipoint.rentme.services;

import com.ipoint.rentme.model.User;

/**
 * @author happy
 *
 */
public interface MailService {

	public void notifyAdministrator(String message);
	
	public void registrationMail(User user, String activationLink);
	
	public void inviteMail(User user, String activationLink, String unencodedPassword);

	/**
	 * Sends feedback message from any user to site administrators.
	 * 
	 * @param subject
	 * @param message
	 * @param address - reply to address
	 */
	public void sendFeedBack(String subject, String message, String address);
}
