package com.ipoint.rentme.app.utils;

import java.io.IOException;
import java.io.InputStream;

import org.apache.tapestry5.StreamResponse;
import org.apache.tapestry5.services.Response;

public class RtfStreamResponse implements StreamResponse {

	private InputStream is;

	public RtfStreamResponse(InputStream inputStream) {
		this.is = inputStream;
	}

	@Override
	public String getContentType() {
		return "application/rtf";
	}

	@Override
	public InputStream getStream() throws IOException {
		return is;
	}

	@Override
	public void prepareResponse(Response response) {
		response.setHeader("Content-Disposition", "attachment; filename=contract.rtf");
	}

}
