package com.ipoint.rentme.components;

import org.apache.tapestry5.annotations.IncludeStylesheet;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.Property;

@IncludeStylesheet("context:styles/style.css")
public class BaseBorder {

	@Property
	@Parameter(required = true)
	private String title;

	@Parameter
	private Boolean embedGA;

	/**
	 * @return true if page needs to be analyzed through Google Analaytics.
	 */
	public boolean isEmbedGA() {
		return embedGA != null && embedGA;
	} 
}
