package com.ipoint.rentme.components;

import org.apache.tapestry5.RenderSupport;
import org.apache.tapestry5.annotations.Environmental;

/**
 * Injects sms billing capability.
 * 
 * @author aectann
 */
public class SmsLock {

	@Environmental
	private RenderSupport renderSupport;

	void setupRender() {
		renderSupport.addScriptLink("http://tmpface.smszamok.ru/common/js/af.js",
				"http://tmpface.smszamok.ru/common/js/show.js", "http://tmpface.smszamok.ru/common/js/currencies.js",
				"http://tmpface.smszamok.ru/common/js/ops.js",
				"http://tmpface.smszamok.ru/client/crosssitejson.js?version=4",
				"http://tmpface.smszamok.ru/common/js/ops_zamokex.js?version=22");
		renderSupport.addClasspathScriptLink("com/ipoint/rentme/components/SmsLock.js");
	}
}
