package com.ipoint.rentme.dao;

import com.ipoint.rentme.model.User;

public interface UserDao extends BaseDao<User> {
	/**
	 * @param username
	 * @return user with the given username
	 */
	User getUser(String username);

	User getUserByEmail(String email);
	
	@Override
	public User save(User objectToSave);
}
