package com.ipoint.rentme.dao.hibernate;

import com.ipoint.rentme.dao.UserDao;
import com.ipoint.rentme.model.User;

public class UserDaoHibernate extends AbstractHibernateDao<User> implements UserDao {

	@Override
	public User getUser(String username) {
		return (User) getNamedQuery("User.byUsername", "username", username).uniqueResult();
	}

	@Override
	public User getUserByEmail(String email) {
		return (User) getNamedQuery("User.byEmail", "email", email).uniqueResult();
	}	
}
