package com.ipoint.rentme.pages;

import org.apache.tapestry5.annotations.InjectPage;
import org.apache.tapestry5.annotations.Persist;

import com.ipoint.rentme.model.Contract;

public class AboutContract {
	
	@Persist
	private Contract contract;
	
	public Contract getContract() {
		return contract;
	}

	public void setContract(Contract contract) {
		this.contract = contract;
	}

	void onActivate(){
		if(contract == null){
			contract = new Contract();
		}
	}
	
	@InjectPage
	private com.ipoint.rentme.pages.Contract contractPage;
	
	Object onSuccess(){
		contractPage.setContract(contract);
		return contractPage;
	}
}
