package com.ipoint.rentme.pages;

import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;

import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.services.ExceptionReporter;

import com.ipoint.rentme.services.MailService;

public class Error implements ExceptionReporter {
	
	@Inject
	private MailService mailService;

    public void reportException(Throwable exception) {
		ByteArrayOutputStream os = new ByteArrayOutputStream();
		exception.printStackTrace(new PrintWriter(os));
		mailService.notifyAdministrator("Ошибка на сайте!\n" + exception.getMessage() + " \n" + os.toString());
	}
    
   	void onActionFromFail() {
		throw new RuntimeException("Failure inside action event handler.");
	}

}
