package com.ipoint.rentme.services;

import org.apache.tapestry5.services.PageRenderLinkSource;


/**
 * Since the {@link PageRenderLinkSource} can generate only relative links I've added the interface..
 * <p>
 * TODO finde if there is better way to obtain the links..
 * 
 * @author aectann
 */
public interface ExternalLinkFactory {

	/**
	 * Generates link to the page including host and port.
	 * 
	 * @param pageClass
	 * @param context
	 * @return
	 */
	@SuppressWarnings("unchecked") 
	String generateLink(Class pageClass, Object... context);
	
}
